%bcond_without bootstrap

%global pkg_version     11b

Summary:        LALR parser generator for Java
Name:           java_cup
Version:        0.11b
Release:        3%{?dist}
License:        MIT
URL:            http://www2.cs.tum.edu/projects/cup/

# svn export -r 65 https://www2.in.tum.de/repos/cup/develop/ java_cup-0.11b
# tar cjf java_cup-0.11b.tar.bz2 java_cup-0.11b/
Source0:        java_cup-%{version}.tar.bz2
Source1:        %{name}-MANIFEST.MF
Source2:        %{name}-runtime-MANIFEST.MF

Patch3000:      %{name}-build.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  jflex
BuildRequires:  java_cup
%endif

Requires:       javapackages-tools

ExclusiveArch:  %{java_arches} noarch
BuildArch:      noarch

%description
java_cup is a LALR Parser Generator for Java

%package javadoc
Summary:       Javadoc for java_cup

%description javadoc
Javadoc for java_cup

%package manual
Summary:        Documentation for java_cup

%description manual
Documentation for java_cup.

%prep
%autosetup

sed -i '/<javac/s/1.5/1.7/g' build.xml

find -name "*.class" -delete

%mvn_file ':{*}' @1

rm -rf java_cup-%{version}/bin/JFlex.jar
rm -rf java_cup-%{version}/bin/java-cup-11.jar

%build
export CLASSPATH=$(build-classpath java_cup java_cup-runtime jflex)

%ant -Dcupversion=20150326 -Dsvnversion=65
find -name parser.cup -delete
%ant javadoc

jar ufm dist/java-cup-%{pkg_version}.jar %{SOURCE1}
jar ufm dist/java-cup-%{pkg_version}-runtime.jar %{SOURCE2}

%install
%mvn_artifact %{name}:%{name}:%{version} dist/java-cup-%{pkg_version}.jar
%mvn_artifact %{name}:%{name}-runtime:%{version} dist/java-cup-%{pkg_version}-runtime.jar

%mvn_install -J dist/javadoc

%jpackage_script java_cup.Main "" "" java_cup cup true

%files -f .mfiles
%license licence.txt
%doc changelog.txt
%{_bindir}/cup

%files manual
%license licence.txt
%doc manual.html

%files javadoc -f .mfiles-javadoc
%license licence.txt

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11b-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11b-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 06 2023 cunshunxia <cunshunxia@tencent.com> - 0.11b-1
- initial build
